import request from '@/utils/request'

// 查询项目管理列表
export function listWorkProject(query) {
  return request({
    url: '/worklog/workProject/list',
    method: 'get',
    params: query
  })
}

// 查询项目管理详细
export function getWorkProject(projectId) {
  return request({
    url: '/worklog/workProject/' + projectId,
    method: 'get'
  })
}

// 新增项目管理
export function addWorkProject(data) {
  return request({
    url: '/worklog/workProject',
    method: 'post',
    data: data
  })
}

// 修改项目管理
export function updateWorkProject(data) {
  return request({
    url: '/worklog/workProject',
    method: 'put',
    data: data
  })
}

// 删除项目管理
export function delWorkProject(projectId) {
  return request({
    url: '/worklog/workProject/' + projectId,
    method: 'delete'
  })
}